$(function(){
	$('#close_im').bind('click',function(){
		$('#main-im').css("height","0");
		$('#im_main').hide();
		$('#open_im').show();
	});
	$('#open_im').bind('click',function(e){
		$('#main-im').css("height","272");
		$('#im_main').show();
		$(this).hide();
	});
	$('.go-top').bind('click',function(){
		$(window).scrollTop(0);
	});
	$(".weixing-container").bind('mouseenter',function(){
		$('.weixing-show').show();
	})
	$(".weixing-container").bind('mouseleave',function(){        
		$('.weixing-show').hide();
	});
});

$(document).ready(function(){
	$("#floatShow").bind("click",function(){
		$('#onlineService').animate({width: 'show', opacity: 'show'}, 'normal',function(){ $('#onlineService').show(); });$('#floatShow').attr('style','display:none');$('#floatHide').attr('style','display:block');
		return false;
	});
	$("#floatHide").bind("click",function(){
		$('#onlineService').animate({width: 'hide', opacity: 'hide'}, 'normal',function(){ $('#onlineService').hide(); });$('#floatShow').attr('style','display:block');$('#floatHide').attr('style','display:none');
	});
	
	$(document).bind("click",function(event){
		if ($(event.target).isChildOf("#online_qq_layer") == false)
		{
			$('#onlineService').animate({width: 'hide', opacity: 'hide'}, 'normal',function(){ $('#onlineService').hide(); });$('#floatShow').attr('style','display:block');$('#floatHide').attr('style','display:none');
		}
	});
	
	$(".online_bar").click(function(){
		$(".online_bar").removeClass("expand").addClass("collapse")
		$(this).removeClass("collapse").addClass("expand")
	})
	
	jQuery.fn.isChildAndSelfOf = function(b){
		return (this.closest(b).length > 0);
	};
	jQuery.fn.isChildOf = function(b){
		return (this.parents(b).length > 0);
	};
});
